Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problems with emerging KDE 4.4
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
porqueami
n00b
n00b


Joined: 17 Jul 2008
Posts: 25

PostPosted: Fri Dec 25, 2009 12:20 am    Post subject: Problems with emerging KDE 4.4 Reply with quote

Hi, I am trying to emerge KDE 4.4 from the overlays (kde:live) to test it, I am really interested in testing it, but I am having a problem

I have unmasked and "keyworded" all the needed packages and activated the overlay "kde" and I am emerging kde-meta:live, but it fails to emerge pykde4-9999, I think it is because it uses Python 3.1 because the fail I find in the build.log is something like this (I am not in my computer, but I remember it very well as I found a solution in Google many times):

/usr/lib64/portage/bin/portageq , line 51

print "ERROR"

SyntaxError ^

And then a portage message tell you to rebuild python 3.1 with threads USE flag enabled, but I have already enabled it, I also found in Google that Python 3 uses this syntax: print("") instead of the old one: print "" So I guess it is a problem with pykde4-9999.

I also found it is something with kdelibs-9999, but I tried to emerge the old ones (kdelibs-4.3.4) and then emerge the system but it fails as every single 4.4 package needs that updated kdelibs-9999... then... what do I do?

I also tried to unmerge pykde4-4.3.4 and then emerge pykde4-9999 (I read it was the solution somewhere) but it didn't work

I guess some of you have already made KDE 4.4 work, so I need help, a workaround or something...

Thanks in advance.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Fri Dec 25, 2009 3:42 am    Post subject: Reply with quote

It is well-known that pykde4 usually doesn't build. There is a package.use in the overlay that circumvents installing it.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum